ask_terminal 0.1.2

Dart native
Flutter Android iOS

Library to create CLI wizards based on binary questions (yes/no), and mutliple choice questions with custom values

Ask Terminal v0.1.2 #

Library to create CLI wizards based on binary questions (yes/no), and mutliple choice questions with custom values

    import 'package:ask_terminal/ask_terminal.dart';

    void main() {
        String colorCode = prompter.askMultiple('What color do you like?', [
            new Option('white', '#ffffff'),
            new Option('black', '#000000'),
            new Option('red', '#ff0000'),
            new Option('green', '#00ff00'),
            new Option('blue', '#0000ff'),
        ]); // returns option.value (ex: '#ffffff')
        bool learnDart = prompter.askBinary('Do you want to learn Dart for Web?'); // retruns bool (ex: true)

        print('liked color: $colorCode');
        print('I want to learn dart: $learnDart');
    }
0
likes
90
pub points
0%
popularity

Library to create CLI wizards based on binary questions (yes/no), and mutliple choice questions with custom values

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

fd_belilet@esi.dz

License

unknown (LICENSE)

More

Packages that depend on ask_terminal